--Reconstruction with after images
--Code Fragment 9.12
SELECT PROJECTION_ID, PROJECTION_TYPE 
FROM P_Audit A 
WHERE A.When_Changed = (SELECT MAX(A2.When_Changed) 
                        FROM P_Audit A2 
                        WHERE A.PROJECTION_ID = A2.PROJECTION_ID AND 
                              A2.When_Changed < TO_DATE('04/01/1996', 'MM/DD/YYYY')) 
      AND A.Operation <> 'D';

